> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cube.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create OIDC token config



## OpenAPI

````yaml /api-reference/api.yaml post /v1/oidc-token-configs
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: User Attributes
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
  - name: Dbt Sync
  - name: Env Variables
  - name: OAuth Integrations
  - name: OIDC Token Configs
  - name: Regions
  - name: Tenant Settings
  - name: User Attribute Values
  - name: User OAuth Tokens
  - name: Users Admin
paths:
  /v1/oidc-token-configs:
    post:
      tags:
        - OIDC Token Configs
      summary: Create OIDC token config
      operationId: createOidcTokenConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOidcTokenConfigInput'
        description: CreateOidcTokenConfigInput
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OidcTokenConfig'
          description: ''
components:
  schemas:
    CreateOidcTokenConfigInput:
      properties:
        audienceType:
          type: string
        customAudience:
          oneOf:
            - type: string
            - type: 'null'
        customClaims:
          oneOf:
            - type: object
            - type: 'null'
        isEnabled:
          oneOf:
            - type: boolean
            - type: 'null'
        name:
          oneOf:
            - pattern: ^[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
              type: string
            - type: 'null'
        subFormat:
          oneOf:
            - pattern: ^(?:[A-Za-z0-9:_-]|\{(?:deployment_id|component|region)\})+$
              type: string
              maxLength: 200
            - type: 'null'
        targetEnvVar:
          oneOf:
            - pattern: ^[A-Z_][A-Z0-9_]*$
              type: string
              maxLength: 128
            - type: 'null'
      required:
        - audienceType
      type: object
    OidcTokenConfig:
      properties:
        audience:
          type: string
        audienceType:
          type: string
        createdAt:
          oneOf:
            - format: date
              type: string
            - format: date-time
              type: string
        customClaims:
          oneOf:
            - type: object
            - type: 'null'
        id:
          type: integer
        isEnabled:
          type: boolean
        name:
          type: string
        subFormat:
          oneOf:
            - type: string
            - type: 'null'
        targetEnvVar:
          oneOf:
            - type: string
            - type: 'null'
        updatedAt:
          oneOf:
            - format: date
              type: string
            - format: date-time
              type: string
      required:
        - id
        - audienceType
        - audience
        - name
        - isEnabled
        - createdAt
        - updatedAt
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````